Skip to content

Get person details

GET
/api/v1/person/{person_id}
curl --request GET \
--url https://app.prefactorai.com/api/v1/person/013xrzp12g3nqk8ns6jadrqmpgrjkeny \
--header 'Authorization: Bearer <token>'
person_id
required
Person_Id

A valid person ID

string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny
idempotency_key
One of:

Optional idempotency key for ensuring request idempotency

string

Success

Media typeapplication/json
object
details
Person_Details
object
email

Person email address

string
id
Person_Id

A valid person ID

string
inserted_at

When the person was created

string format: date-time
name

Person name

string
team_ids

Team IDs this person belongs to

Array<string>
title
One of:

Optional job title

string
type

Type of resource (always ‘person’)

string
Allowed values: person
updated_at

When the person was last updated

string format: date-time
status
string
Allowed values: success
Example
{
"details": {
"email": "jane@example.com",
"id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny",
"name": "Jane Doe",
"team_ids": [
"013xrzp12g3nqk8ns6jadrqmpgrjkeny"
],
"title": "Engineer",
"type": "person"
},
"status": "success"
}

Error

Media typeapplication/json
One of:
object
code
string
Allowed values: bad_request bad_authtoken not_authenticated not_permitted not_implemented unknown not_found unexpected_ref_type unexpected invalid_action alert_unknown alert_already_cleared invalid_value required_value idempotency_key_already_used
message
string
status
string
Allowed values: error
Example
{
"code": "bad_request",
"status": "error"
}